Doomsday Engine - Bug #899

Feature # 1620 (Progressed): XG 2.0

XG stops working when loading a save game
2010-04-20 16:39 - vermil

Status: Closed Start date: 2010-04-20
Priority: High % Done: 100%
Assignee: danij

Category: Defect

Target version: 1.15

Description

With this wad, the XG seems to stop working on the current map 1.9 Beta6.9 if one loads a save game.

For instance in the start room of Map04, a bad guy teleporter pen and Soul Sphere containing alcove opens once you kill the
Arachnotrons. This works fine if you go straight to the map. But if you load a savegame on the map, it doesn't work.

Experimentation with an XG switch on Map03 (sector 589) suggests that the activation checking aspect of the XG seem to work if
one loads the map from a savegame, as in the XG switch lights up, but doesn't perform the operation it should; it should raise
another XG switch out of the ground (sector 550).

http://www.doomworld.com/idgames/?id=16056

Certinally, the XG in this wad conincidently doesn't work at tall in 1.8.6 unless one extracts the deds, as the sole review for the wad at
the above link states (I didn't write it, but | have confirmed what it states). But | don't think this is related to that.

Labels: XG

History

#1 - 2013-10-22 19:12 - skyjake

- Tags set to XG, SaveGame

- Subject changed from [XG] XG stops working when loading a save game? to XG stops working when loading a save game
- Category set to Defect

- Priority changed from Low to High

#2 - 2013-10-22 19:13 - skyjake
- Parent task set to #1620

#3 - 2013-10-22 19:13 - skyjake
- Target version deleted (1.9.0-beta6)

#4 - 2014-10-11 05:41 - danij
- Status changed from New to In Progress

- Assignee set to danij

#5 - 2014-10-11 06:15 - danij

The XG problems in this map set were fixed along with Issue #1105

#6 - 2014-10-11 06:15 - danij
- Status changed from In Progress to Closed
- Target version setto 1.15

- % Done changed from 0 to 100
